[Human Knight Class Transfer]:
In order to become a Dark Avenger, you must successfully complete three quests. The Trial of Duty can only be undertaken by a player of level 35 or above. This quest begins with a visit to Grand Master Hannavalt of Giran Castle Town. The Testimony of Trust can only be undertaken by a player of level 37 or higher. This quest begins with High Priest Hollint of Oren Castle Town. The Test of Witchcraft can be undertaken by a player of level 39 or above. This quest begins with a visit to Orim of the Shadow near Hardin's Academy.
Return
Close Window